%define pkgname %(echo %name | cut -d- -f2-)
Name:          python-setuptools_scm
Version:       7.1.0
Release:       1mamba
Summary:       Handles managing your python package versions in scm metadata
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/pypa/setuptools_scm
Source:        https://pypi.debian.net/setuptools-scm/setuptools_scm-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython3-devel
BuildRequires: python3.7dist(importlib-metadata)
BuildRequires: python3.7dist(packaging)
BuildRequires: python3.7dist(setuptools)
BuildRequires: python3.7dist(tomli)
BuildRequires: python3.7dist(typing-extensions)
## AUTOBUILDREQ-END

%description
%{summary}.

%if 0%{?with_pyver}
%pyver_package
%endif

%prep
%setup -q -n setuptools_scm-%{version}

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{python_inc} \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "\,\.egg-info/,d;s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
## note: this list is just an example; modify as required
%dir %{python_sitearch}/%{pkgname}-%{version}-py*.egg-info
%{python_sitearch}/%{pkgname}-%{version}-py*.egg-info/*
%doc LICENSE
## note: add extra documentation (if any)
# %doc README.rst

%changelog
* Sat Dec 17 2022 Automatic Build System <autodist@mambasoft.it> 7.1.0-1mamba
- automatic version update by autodist

* Tue Jul 12 2022 Automatic Build System <autodist@mambasoft.it> 7.0.5-1mamba
- automatic version update by autodist

* Fri Jul 01 2022 Automatic Build System <autodist@mambasoft.it> 7.0.4-1mamba
- automatic version update by autodist

* Wed Jun 29 2022 Automatic Build System <autodist@mambasoft.it> 7.0.3-1mamba
- automatic version update by autodist

* Thu Jun 23 2022 Automatic Build System <autodist@mambasoft.it> 7.0.2-1mamba
- automatic version update by autodist

* Wed Jun 22 2022 Automatic Build System <autodist@mambasoft.it> 7.0.1-1mamba
- automatic version update by autodist

* Sun Apr 03 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.2-2mamba
- rebuilt with python 3.10

* Tue Jan 25 2022 Silvan Calarco <silvan.calarco@mambasoft.it> 6.4.2-1mamba
- package created using the webbuild interface
